Skip to content

Export FOCUS

All operations require authentication.

5 operationsv2/finops/bucketExport
Agent setup

List FinOps bucket export configurations. The target bucket must be S3™*-compatible.Beta

GET
/v2/finops/bucketExport

* S3 is a trademark filed by Amazon Technologies,Inc. OVHcloud's service is not sponsored by, endorsed by, or otherwise affiliated with Amazon Technologies,Inc.

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200AsyncConfiguration[]successful operation
checksum
string

Checksum of the Bucket Export Configuration

currentState
read-only
Configuration

Current state of the billing account

currentTasks
read-only
CurrentTask[]

Task to do on this billing account

id
read-only
string

Unique identifier of the billing account

resourceStatus
read-only
ResourceStatusEnum

Billing account readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
Configuration

Target Spec for the FinOps Bucket Export Configuration

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/finops/bucketExport \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "checksum": "string", "currentState": { "bucketConfiguration": { "accessKey": "string", "bucketName": "string", "endpointURL": "string", "pathPrefix": "string", "region": "string", "secretKey": "string" }, "exportHour": 0, "filePolicy": "CREATE", "period": "DAILY", "scope": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "string", "resourceStatus": "CREATING", "targetSpec": { "bucketConfiguration": { "accessKey": "string", "bucketName": "string", "endpointURL": "string", "pathPrefix": "string", "region": "string", "secretKey": "string" }, "exportHour": 0, "filePolicy": "CREATE", "period": "DAILY", "scope": "string" } }]

Get a FinOps bucket export configuration. The target bucket must be S3™*-compatible.Beta

GET
/v2/finops/bucketExport/{id}

* S3 is a trademark filed by Amazon Technologies,Inc. OVHcloud's service is not sponsored by, endorsed by, or otherwise affiliated with Amazon Technologies,Inc.

Path parameters

id
required
string

Id

Response

200AsyncConfigurationsuccessful operation
checksum
string

Checksum of the Bucket Export Configuration

currentState
read-only
Configuration

Current state of the billing account

currentTasks
read-only
CurrentTask[]

Task to do on this billing account

id
read-only
string

Unique identifier of the billing account

resourceStatus
read-only
ResourceStatusEnum

Billing account readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
Configuration

Target Spec for the FinOps Bucket Export Configuration

Example uses id = string

$ curl https://api.eu.ovhcloud.com/v2/finops/bucketExport/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "currentState": { "bucketConfiguration": { "accessKey": "string", "bucketName": "string", "endpointURL": "string", "pathPrefix": "string", "region": "string", "secretKey": "string" }, "exportHour": 0, "filePolicy": "CREATE", "period": "DAILY", "scope": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "string", "resourceStatus": "CREATING", "targetSpec": { "bucketConfiguration": { "accessKey": "string", "bucketName": "string", "endpointURL": "string", "pathPrefix": "string", "region": "string", "secretKey": "string" }, "exportHour": 0, "filePolicy": "CREATE", "period": "DAILY", "scope": "string" }}

Create a FinOps bucket export configuration. The target bucket must be S3™*-compatible.Beta

POST
/v2/finops/bucketExport

* S3 is a trademark filed by Amazon Technologies,Inc. OVHcloud's service is not sponsored by, endorsed by, or otherwise affiliated with Amazon Technologies,Inc.

Request body (required)

targetSpec
required
Configuration

Target Spec for the bucket export configuration

Response

200AsyncConfigurationsuccessful operation
checksum
string

Checksum of the Bucket Export Configuration

currentState
read-only
Configuration

Current state of the billing account

currentTasks
read-only
CurrentTask[]

Task to do on this billing account

id
read-only
string

Unique identifier of the billing account

resourceStatus
read-only
ResourceStatusEnum

Billing account readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
Configuration

Target Spec for the FinOps Bucket Export Configuration

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/finops/bucketExport \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "currentState": { "bucketConfiguration": { "accessKey": "string", "bucketName": "string", "endpointURL": "string", "pathPrefix": "string", "region": "string", "secretKey": "string" }, "exportHour": 0, "filePolicy": "CREATE", "period": "DAILY", "scope": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "string", "resourceStatus": "CREATING", "targetSpec": { "bucketConfiguration": { "accessKey": "string", "bucketName": "string", "endpointURL": "string", "pathPrefix": "string", "region": "string", "secretKey": "string" }, "exportHour": 0, "filePolicy": "CREATE", "period": "DAILY", "scope": "string" }}

Delete a FinOps bucket export configuration. The target bucket must be S3™*-compatible.Beta

DELETE
/v2/finops/bucketExport/{id}

* S3 is a trademark filed by Amazon Technologies,Inc. OVHcloud's service is not sponsored by, endorsed by, or otherwise affiliated with Amazon Technologies,Inc.

Path parameters

id
required
string

Id

Response

200AsyncConfigurationsuccessful operation
checksum
string

Checksum of the Bucket Export Configuration

currentState
read-only
Configuration

Current state of the billing account

currentTasks
read-only
CurrentTask[]

Task to do on this billing account

id
read-only
string

Unique identifier of the billing account

resourceStatus
read-only
ResourceStatusEnum

Billing account readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
Configuration

Target Spec for the FinOps Bucket Export Configuration

Example uses id = string

$ curl https://api.eu.ovhcloud.com/v2/finops/bucketExport/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "currentState": { "bucketConfiguration": { "accessKey": "string", "bucketName": "string", "endpointURL": "string", "pathPrefix": "string", "region": "string", "secretKey": "string" }, "exportHour": 0, "filePolicy": "CREATE", "period": "DAILY", "scope": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "string", "resourceStatus": "CREATING", "targetSpec": { "bucketConfiguration": { "accessKey": "string", "bucketName": "string", "endpointURL": "string", "pathPrefix": "string", "region": "string", "secretKey": "string" }, "exportHour": 0, "filePolicy": "CREATE", "period": "DAILY", "scope": "string" }}

Modify a FinOps bucket export configuration. The target bucket must be S3™*-compatible.Beta

PUT
/v2/finops/bucketExport/{id}

* S3 is a trademark filed by Amazon Technologies,Inc. OVHcloud's service is not sponsored by, endorsed by, or otherwise affiliated with Amazon Technologies,Inc.

Path parameters

id
required
string

Id

Request body (required)

checksum
string

Checksum of the Bucket Export Configuration

currentState
read-only
Configuration

Current state of the billing account

currentTasks
read-only
CurrentTask[]

Task to do on this billing account

id
read-only
string

Unique identifier of the billing account

resourceStatus
read-only
ResourceStatusEnum

Billing account readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
Configuration

Target Spec for the FinOps Bucket Export Configuration

Response

200AsyncConfigurationsuccessful operation
checksum
string

Checksum of the Bucket Export Configuration

currentState
read-only
Configuration

Current state of the billing account

currentTasks
read-only
CurrentTask[]

Task to do on this billing account

id
read-only
string

Unique identifier of the billing account

resourceStatus
read-only
ResourceStatusEnum

Billing account readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
Configuration

Target Spec for the FinOps Bucket Export Configuration

Example uses id = string

$ curl https://api.eu.ovhcloud.com/v2/finops/bucketExport/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "currentState": { "bucketConfiguration": { "accessKey": "string", "bucketName": "string", "endpointURL": "string", "pathPrefix": "string", "region": "string", "secretKey": "string" }, "exportHour": 0, "filePolicy": "CREATE", "period": "DAILY", "scope": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "string", "resourceStatus": "CREATING", "targetSpec": { "bucketConfiguration": { "accessKey": "string", "bucketName": "string", "endpointURL": "string", "pathPrefix": "string", "region": "string", "secretKey": "string" }, "exportHour": 0, "filePolicy": "CREATE", "period": "DAILY", "scope": "string" }}